SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   libpng Vendors:   libpng.sourceforge.net
(Red Hat Issues Fix) libpng Buffer Overflow in png_set_PLTE()/png_get_PLTE() Files Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1034394
SecurityTracker URL:  http://securitytracker.com/id/1034394
CVE Reference:   CVE-2015-8126, CVE-2015-8472   (Links to External Site)
Date:  Dec 11 2015
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to versions 1.0.65, 1.2.55, 1.4.18, 1.5.25, 1.6.20
Description:   A vulnerability was reported in libpng. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted PNG file that, when loaded by the target application, will trigger a buffer overflow in the png_set_PLTE() and png_get_PLTE() functions and execute arbitrary code on the target system. The code will run with the privileges of the target application using libpng.

Impact:   A remote user can create content that, when loaded by the target application, will execute arbitrary code on the target user's system.
Solution:   Red Hat has issued a fix.

The Red Hat advisory is available at:

https://rhn.redhat.com/errata/RHSA-2015-2596.html

Vendor URL:  rhn.redhat.com/errata/RHSA-2015-2596.html (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Red Hat Enterprise)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Nov 13 2015 libpng Buffer Overflow in png_set_PLTE()/png_get_PLTE() Files Lets Remote Users Execute Arbitrary Code



 Source Message Contents

Subject:  [RHSA-2015:2596-01] Moderate: libpng security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: libpng security update
Advisory ID:       RHSA-2015:2596-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2015-2596.html
Issue date:        2015-12-09
CVE Names:         CVE-2015-8126 CVE-2015-8472 
=====================================================================

1. Summary:

Updated libpng packages that fix one security issue are now available
for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having Moderate security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client (v. 7) - x86_64
Red Hat Enterprise Linux Client Optional (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - x86_64
Red Hat Enterprise Linux Server (v. 7) - aarch64, ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 7) - aarch64, ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 7) - x86_64
Red Hat Enterprise Linux Workstation Optional (v. 7) - x86_64

3. Description:

The libpng packages contain a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.

It was discovered that the png_get_PLTE() and png_set_PLTE() functions of
libpng did not correctly calculate the maximum palette sizes for bit depths
of less than 8. In case an application tried to use these functions in
combination with properly calculated palette sizes, this could lead to a
buffer overflow or out-of-bounds reads. An attacker could exploit this to
cause a crash or potentially execute arbitrary code by tricking an
unsuspecting user into processing a specially crafted PNG image. However,
the exact impact is dependent on the application using the library.
(CVE-2015-8126, CVE-2015-8472)

All libpng users are advised to upgrade to these updated packages, which
contain a backported patch to correct this issue.

4. Solution:

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

For details on how to apply this update, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1281756 - CVE-2015-8126 CVE-2015-8472 libpng: Buffer overflow vulnerabilities in png_get_PLTE/png_set_PLTE functions

6. Package List:

Red Hat Enterprise Linux Client (v. 7):

Source:
libpng-1.5.13-7.el7_2.src.rpm

x86_64:
libpng-1.5.13-7.el7_2.i686.rpm
libpng-1.5.13-7.el7_2.x86_64.rpm
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux Client Optional (v. 7):

x86_64:
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm
libpng-devel-1.5.13-7.el7_2.i686.rpm
libpng-devel-1.5.13-7.el7_2.x86_64.rpm
libpng-static-1.5.13-7.el7_2.i686.rpm
libpng-static-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux ComputeNode (v. 7):

Source:
libpng-1.5.13-7.el7_2.src.rpm

x86_64:
libpng-1.5.13-7.el7_2.i686.rpm
libpng-1.5.13-7.el7_2.x86_64.rpm
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

x86_64:
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm
libpng-devel-1.5.13-7.el7_2.i686.rpm
libpng-devel-1.5.13-7.el7_2.x86_64.rpm
libpng-static-1.5.13-7.el7_2.i686.rpm
libpng-static-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux Server (v. 7):

Source:
libpng-1.5.13-7.el7_2.src.rpm

aarch64:
libpng-1.5.13-7.el7_2.aarch64.rpm
libpng-debuginfo-1.5.13-7.el7_2.aarch64.rpm
libpng-devel-1.5.13-7.el7_2.aarch64.rpm

ppc64:
libpng-1.5.13-7.el7_2.ppc.rpm
libpng-1.5.13-7.el7_2.ppc64.rpm
libpng-debuginfo-1.5.13-7.el7_2.ppc.rpm
libpng-debuginfo-1.5.13-7.el7_2.ppc64.rpm
libpng-devel-1.5.13-7.el7_2.ppc.rpm
libpng-devel-1.5.13-7.el7_2.ppc64.rpm

ppc64le:
libpng-1.5.13-7.el7_2.ppc64le.rpm
libpng-debuginfo-1.5.13-7.el7_2.ppc64le.rpm
libpng-devel-1.5.13-7.el7_2.ppc64le.rpm

s390x:
libpng-1.5.13-7.el7_2.s390.rpm
libpng-1.5.13-7.el7_2.s390x.rpm
libpng-debuginfo-1.5.13-7.el7_2.s390.rpm
libpng-debuginfo-1.5.13-7.el7_2.s390x.rpm
libpng-devel-1.5.13-7.el7_2.s390.rpm
libpng-devel-1.5.13-7.el7_2.s390x.rpm

x86_64:
libpng-1.5.13-7.el7_2.i686.rpm
libpng-1.5.13-7.el7_2.x86_64.rpm
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm
libpng-devel-1.5.13-7.el7_2.i686.rpm
libpng-devel-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

aarch64:
libpng-debuginfo-1.5.13-7.el7_2.aarch64.rpm
libpng-static-1.5.13-7.el7_2.aarch64.rpm

ppc64:
libpng-debuginfo-1.5.13-7.el7_2.ppc.rpm
libpng-debuginfo-1.5.13-7.el7_2.ppc64.rpm
libpng-static-1.5.13-7.el7_2.ppc.rpm
libpng-static-1.5.13-7.el7_2.ppc64.rpm

ppc64le:
libpng-debuginfo-1.5.13-7.el7_2.ppc64le.rpm
libpng-static-1.5.13-7.el7_2.ppc64le.rpm

s390x:
libpng-debuginfo-1.5.13-7.el7_2.s390.rpm
libpng-debuginfo-1.5.13-7.el7_2.s390x.rpm
libpng-static-1.5.13-7.el7_2.s390.rpm
libpng-static-1.5.13-7.el7_2.s390x.rpm

x86_64:
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm
libpng-static-1.5.13-7.el7_2.i686.rpm
libpng-static-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 7):

Source:
libpng-1.5.13-7.el7_2.src.rpm

x86_64:
libpng-1.5.13-7.el7_2.i686.rpm
libpng-1.5.13-7.el7_2.x86_64.rpm
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm
libpng-devel-1.5.13-7.el7_2.i686.rpm
libpng-devel-1.5.13-7.el7_2.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

x86_64:
libpng-debuginfo-1.5.13-7.el7_2.i686.rpm
libpng-debuginfo-1.5.13-7.el7_2.x86_64.rpm
libpng-static-1.5.13-7.el7_2.i686.rpm
libpng-static-1.5.13-7.el7_2.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2015-8126
https://access.redhat.com/security/cve/CVE-2015-8472
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2015 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFWaEO+XlSAg2UNWIIRAiT3AJ9UqVAqlU3tjN2lrGLhYTykTrADpgCePUPw
9m4P/DuBS5LXho4OHaQPYhg=
=nfXV
-----END PGP SIGNATURE-----

-- 
Enterprise-watch-list mailing list
Enterprise-watch-list@redhat.com
https://www.redhat.com/mailman/listinfo/enterprise-watch-list
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC